package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fcp;
import com.brilliance.isc.vo.lg.FepFcpInfVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface FcpMapper {

    int insert(Fcp record);

    int insertSelective(Fcp record);

    int updateByPrimaryKeySelective(Fcp record);

    int updateByPrimaryKey(Fcp record);

    int deleteByPrimaryKey(Fcp record);

    int deleteByIds(Collection<Object> collection);

    Fcp selectByPrimaryKey(Fcp record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Fcp> dyncRead(Map<String,Object> dyncMap);

    List<FepFcpInfVo> queryFcp(@Param("objtyp") String objtyp, @Param("objinr") String objinr, @Param("fcpdsp") String fcpdsp);

    int deleteBySrctrninr(String srctrninr);

    int updateDontrninrByDontrninr(String dontrninr);

    int updateRpltrninrByRpltrninr(String rpltrninr);

    Fcp getFcpByInr(String inr);

}